Ralink module rt5572sta isn't included in linux-image-{generic, server}

Bug #1020650 reported by Edward Lang on 2012-07-03
94
This bug affects 19 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

The TP-Link dual-band USB wireless access device TL-WDN3200 uses the Ralink RT5572 USB module, which isn't included in the standard Ubuntu linux-image-generic or linux-image-server packages.

http://www.tp-link.com/en/products/details/?model=TL-WDN3200

edlang@lettuce:~$ lsusb | grep Ralink
Bus 001 Device 003: ID 148f:5572 Ralink Technology, Corp.

http://www.ralinktech.com/en/04_support/support.php?sn=501

Could you please ensure it's included in future packages?

The file .../os/linux/usb_main_dev.c in the driver package needs to be modified according to this post:

http://www.linuxforums.org/forum/wireless-internet/161550-rt3070sta-module-license-unspecified-taints-kernel-solved.html

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-generic 3.2.0.26.28
ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
Uname: Linux 3.2.0-26-generic x86_64
AlsaDevices:
 total 0
 crw-rw---T 1 root audio 116, 1 Jul 4 00:49 seq
 crw-rw---T 1 root audio 116, 33 Jul 4 00:49 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.0.1-0ubuntu8
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Date: Wed Jul 4 02:25:46 2012
HibernationDevice: RESUME=UUID=c9be887f-13b6-498b-bf43-02ed8d46cbc9
InstallationMedia: Ubuntu-Server 11.10 "Oneiric Ocelot" - Release amd64 (20111011)
MachineType: HP ProLiant MicroServer
PciMultimedia:

ProcEnviron:
 LANGUAGE=en_AU:en
 TERM=screen-bce
 LANG=en_AU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-26-generic root=/dev/mapper/hostname-root ro splash quiet hpet=enable vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-26-generic N/A
 linux-backports-modules-3.2.0-26-generic N/A
 linux-firmware 1.79
RfKill: Error: [Errno 2] No such file or directory
SourcePackage: linux
UpgradeStatus: Upgraded to precise on 2012-04-26 (68 days ago)
dmi.bios.date: 04/02/2011
dmi.bios.vendor: HP
dmi.bios.version: O41
dmi.chassis.type: 7
dmi.chassis.vendor: HP
dmi.modalias: dmi:bvnHP:bvrO41:bd04/02/2011:svnHP:pnProLiantMicroServer:pvr:cvnHP:ct7:cvr:
dmi.product.name: ProLiant MicroServer
dmi.sys.vendor: HP

Edward Lang (edlang) wrote :
Brad Figg (brad-figg) on 2012-07-03
Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

We generally ask bug reporters to first request that the driver be added to the upstream kernel. This can be done by mailing the Linux Kernel Mailing List or opening a bug at bugzilla.kernel.org.

People affected by this bug are probably wondering why the kernel team doesn't just add the driver. The reason is that the kernel team is reluctant (not opposed) to apply any patch/driver to a kernel that is not from upstream. Applying patches and adding drivers that don't come from upstream add greatly to the support of the kernel as other upstream patches/drivers may touch the same area as the non-upstream patch and may prevent them from applying cleanly.

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Melon (thumelen3) wrote :

Right now I can't use my newly bought TL-WDN3200 haizz
Please someone find the solution and if possible upload the patch file

please, same issue with Dlink DWA-160 version B2 with rt5572 USB
=> usb stick is cheap and seems to be working fine on Win7 on dual band 2.4/5GHz (and NETGEAR WNDR4000 router)

It might be interesting to report to mainstream

side notes :
I have applied the current Ralink 2.613 linux drivers on Ubuntu 12.04.1 (3.2.0-35-generic) => I cannot connect to my netgear NETGEAR WNDR4000 wifi router!
BUT I can do dual band connexion with Win7/rt5572 and the same netgear 4000 wifi

more weird : Android (kernel 2.3.7) or Ubuntu 12.04.1 with wifi RTL8188CE cannot connect to a wifi router (a linux based DSL provider named "Free") but the Ubuntu 12.04.1 and rt5572 USB works pretty fine

=> there are ugly protocol issues in linux/drivers code, if I could help...

plz fix this bug as soon as possible.because of it, i can not use the wireless adapter.

my pc: Ubuntu 12.10 amd64, ralink RT5572 chipset.

girts (girtsz) wrote :

I solved this problem in such way:

Downloaded driver from:
http://www.ctheroux.com/publicfiles/DPO_RT5572_LinuxSTA_2.6.0.1_20120629_EDITED.tar.bz2.bz2

then extract archive and

sudo make
sudo make install

girts (girtsz) wrote :

Missed to say that after install you need reboot computer!

girts (girtsz) wrote :

Some more info.

Everyone can try to download latest driver from Ralink, MediaTek website:
http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501
and download RT5572 USB driver.
I don't try to compile it with
sudo make
sudo make install

but everyone can test this method with latest driver.

I installed driver from:
http://www.ctheroux.com/publicfiles/DPO_RT5572_LinuxSTA_2.6.0.1_20120629_EDITED.tar.bz2.bz2
but after I installed it LED indicator dont work for adapter, but this is not problem because Internet works. Maybe in this situation need to use latest driver from:
http://www.mediatek.com/_en/07_downloads/01_windows.php?sn=501

After I upgraded Ubuntu Linux Kernel using Software Updater I needed to install driver (make) it again!

mokabar (tim-klingt) wrote :
Download full text (5.1 KiB)

unfortunately the ralink/mediatek driver does not seem to work with 3.7.6:

my machine freezes after:

[10782.860470] rtusb init rt2870 --->
[10782.860523]
[10782.860523]
[10782.860523] === pAd = ffffc90019081000, size = 589888 ===
[10782.860523]
[10782.860550] <-- RTMPAllocAdapterBlock, Status=0
[10782.861009] NVM is EFUSE
[10782.861028] BUG: unable to handle kernel NULL pointer dereference at (null)
[10782.861728] IP: [<ffffffff81494087>] register_netdevice+0x77/0x2c0
[10782.862433] PGD 109626067 PUD 1142a5067 PMD 0
[10782.863135] Oops: 0000 [#1] PREEMPT SMP
[10782.863823] Modules linked in: rt5572sta(O+) rt2800usb rt2800lib crc_ccitt rt2x00usb rt2x00lib rtl8192cu arc4 rtl8192c_common rtlwifi mac80211 cfg80211 ecryptfs sha256_generic encrypted_keys sha1_generic trusted tpm tpm_bios dm_crypt pci_stub vboxpci(O) vboxnetadp(O) vboxnetflt(O) vboxdrv(O) snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hdsp snd_pcm_oss snd_mixer_oss snd_pcm snd_hwdep snd_seq_dummy snd_seq_oss coretemp snd_seq_midi kvm_intel snd_rawmidi kvm snd_seq_midi_event snd_seq snd_timer bluetooth mxm_wmi snd_seq_device parport_pc ppdev serio_raw lpc_ich snd microcode soundcore snd_page_alloc mei nvidia(PO) wacom nfsd nfs_acl lp auth_rpcgss exportfs parport nfs fscache lockd sunrpc binfmt_misc btrfs zlib_deflate libcrc32c hid_generic usbhid hid firewire_ohci ghash_clmulni_intel firewire_core aesni_intel crc_itu_t ablk_helper cryptd lrw aes_x86_64 xts gf128mul r8169 ahci libahci i915 drm_kms_helper xhci_hcd drm i2c_algo_bit video [last unloaded: rtl8192cu]
[10782.869894] CPU 1
[10782.869900] Pid: 13289, comm: modprobe Tainted: P O 3.7.6 #4 Gigabyte Technology Co., Ltd. Z68X-UD3H-B3/Z68X-UD3H-B3
[10782.872299] RIP: 0010:[<ffffffff81494087>] [<ffffffff81494087>] register_netdevice+0x77/0x2c0
[10782.873131] RSP: 0018:ffff880109581b78 EFLAGS: 00010246
[10782.873953] RAX: 0000000000000000 RBX: ffff88041164d000 RCX: 0000000000000018
[10782.874775] RDX: 0000000000000000 RSI: 0000000000000003 RDI: 0000000000306172
[10782.875599] RBP: ffff880109581b98 R08: ffff880109581c38 R09: 0000000000000000
[10782.876431] R10: 0000000000000000 R11: 0000000000000000 R12: 0000000000000000
[10782.877259] R13: ffffffff81a65700 R14: 0000000000000000 R15: ffff880109581d30
[10782.878076] FS: 00007fee6a081700(0000) GS:ffff88042fa40000(0000) knlGS:0000000000000000
[10782.878900] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[10782.879719] CR2: 0000000000000000 CR3: 000000010956a000 CR4: 00000000000407e0
[10782.880533] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[10782.881345] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[10782.882152] Process modprobe (pid: 13289, threadinfo ffff880109580000, task ffff8801095ac600)
[10782.882959] Stack:
[10782.883760] ffff88041164d000 ffff88041164d000 ffff88041164d000 ffffc900062be000
[10782.884574] ffff880109581bb8 ffffffff814942e9 ffff880109581be8 ffff880109581c70
[10782.885379] ffff880109581be8 ffffffffa1048ab0 ffff88041164d000 ffff88041b852800
[10782.886177] Call Trace:
[10782.886965] [<ffffffff814942e9>] register_netdev+0x19/0x30
[10782.887751] [<ffffffffa1048ab0>]...

Read more...

Id2ndR (id2ndr) wrote :

My computer froze after trying to download a file using wget. I can't use the wifi dongle for other things that getting an IP adress..
The last line I saw in the console was something like "skbuff skb_over_panic".
I run Ubuntu 12.10 (linux 3.5.0-23-generic).

I can use my wifi dongle (TL-WDN3200) with linux 3.4 on an other computer also running Ubuntu 12.10.

Id2ndR (id2ndr) wrote :

I tried DPO_RT5572_LinuxSTA_2.6.1.3_20121022 that works great on i686 arch but not on amd64 one of the same kernel version (3.5.0-25 for Ubuntu).
This behavior has been also confirmed here: http://www.ctheroux.com/2012/09/ralink-rt5572-based-wifi-usb-dongle-setup-on-ubuntu-12-04/#comment-40

Id2ndR (id2ndr) wrote :

The support for the chip seams on it way according to linux-wireless mailing list: http://www.spinics.net/lists/linux-wireless/msg104875.html

Stephen Murphy (stejdm) wrote :

How long would it take to implement this?

-----BEGIN PGP MESSAGE-----
Charset: UTF-8
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Using GnuPG with undefined - http://www.enigmail.net/

hQEMA7Xh0cfExCvZAQgAqFzTpM2V7jZ+oWDU5u5fjX1MlEQP65x9f/loXrvik0ja
XG1uTDAgDffNXYSESdFh7mRcCa04HPchvQmZxyQWy8q4aGVo0HcmuQjAIZz1jowi
iH0NmIaQF8aw+700I3KfUQxUTDAR73LzAl+D9beFe6pxJULj1qNq+8d7PjgvsFYM
FSFcuxipLdv98NngxAmE+Kqw4ZGe8BROHR/dNnc/D7apjbharg6MMZzm0fCjYt4F
Sa7WYfIxfwVzjbEnynnY7dfqUwP8W6WXUip6wuDwvuqWN/p6bunzCADN7JfwGHb7
uH3yGsRjIk0HV5nN15PYav84z52cWy0NC5oMDHDWxNLpASyMCYSMn8bgiy7GrT1f
LkhDsLxLJgNsQ4ADvuNzD1M/3OIkIFBdO4X3jXelTgTHzAp0kYpDfHw5dBmk7LuW
pk5BF7aRUEDfsm+aegeVlWzCmwvsseg0fL6uAXhh3fyU2gu6mv2fMa/RZ5M3ODSp
TBRxjBoR1jYHM4X9K/nx6VmIMdfXlMmyhjFLNKd9dAM2Iz/bGOSetLwedxGYFs+N
/lihL/8YlpljESvWZnAJDQSWVwnCjAYVNlAPFBbNx3JTLSTRbZ7OaPoY0TlGNlv9
1kM4BROcZHg4QPkQ91dh4Ng/n4EMaRTgc6wlz506XAA0SMU3ZE/RjvExX410LBAl
HK/7BeVasn88utVDO8e6Ah5m7rUx7O42lp9WMWoeuBXt+yv0fmWFxddy35BelJrd
YketofzTBhEa5nw1psojMnzQLSZGmXbFgYW/majXAMI4DNMqwEZ9j3wAe1tRFuGg
eLWLL/T1XeA2D8hF0xVzZAZQLaDPgeMFdVILGtIt77I8m7MFIblyqqbdDwWcsf0s
jKvQHFQ+3sAreE5B+IBOkadGr4VMm+x0S9QILhLJYDQ0PhaNAwfmjeFs6z3k9mvC
sG5cIdL/Q3/rC1TQOeqon/RehI0IxIyA6+o2DXKUQfha35RrFrWNc1VpI8+vOm45
wkRY5kqAnYzhU0IMdGcy+O6YBnXzkudPfF0jFyt9D/jiziJF6JjZuD4C/e4/YSyD
EdozUQTpdDaVgtmxYC1Vi6RWLrmZ9KlienzuE5We1prtDN8JmeN9GwJj30f8QntR
q3O7XvGBCea839xDnJ6Y8cDbIQaUVLJOjFty8nTKF86nza3X1X1ZSDg114n/gXu8
Nupzn0oy/MMXoprSGFWOguam3SkuIvyMNkk=
=Ev/S
-----END PGP MESSAGE-----

Antonis Kanouras (akanouras) wrote :

As a bandaid until Saucy is released, you can try using the kernel packages at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-saucy/ ; they do support the RT5572.

Make sure you install the relevant header packages as well if you're using any out-of-tree modules (nvidia, fglrx, etc.)

Download full text (3.4 KiB)

sounds great,i will try it later,thx!
在 2013-7-12 下午12:10,"Antonis Kanouras" <email address hidden>写道:

> As a bandaid until Saucy is released, you can try using the kernel
> packages at http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.10-saucy/ ;
> they do support the RT5572.
>
> Make sure you install the relevant header packages as well if you're
> using any out-of-tree modules (nvidia, fglrx, etc.)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1020650
>
> Title:
> Ralink module rt5572sta isn't included in linux-image-{generic,
> server}
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> The TP-Link dual-band USB wireless access device TL-WDN3200 uses the
> Ralink RT5572 USB module, which isn't included in the standard Ubuntu
> linux-image-generic or linux-image-server packages.
>
> http://www.tp-link.com/en/products/details/?model=TL-WDN3200
>
>
> edlang@lettuce:~$ lsusb | grep Ralink
> Bus 001 Device 003: ID 148f:5572 Ralink Technology, Corp.
>
> http://www.ralinktech.com/en/04_support/support.php?sn=501
>
> Could you please ensure it's included in future packages?
>
> The file .../os/linux/usb_main_dev.c in the driver package needs to be
> modified according to this post:
>
> http://www.linuxforums.org/forum/wireless-internet/161550-rt3070sta-
> module-license-unspecified-taints-kernel-solved.html
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: linux-image-generic 3.2.0.26.28
> ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
> Uname: Linux 3.2.0-26-generic x86_64
> AlsaDevices:
> total 0
> crw-rw---T 1 root audio 116, 1 Jul 4 00:49 seq
> crw-rw---T 1 root audio 116, 33 Jul 4 00:49 timer
> AplayDevices: Error: [Errno 2] No such file or directory
> ApportVersion: 2.0.1-0ubuntu8
> Architecture: amd64
> ArecordDevices: Error: [Errno 2] No such file or directory
> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq',
> '/dev/snd/timer'] failed with exit code 1:
> CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1:
> nl80211 not found.
> Date: Wed Jul 4 02:25:46 2012
> HibernationDevice: RESUME=UUID=c9be887f-13b6-498b-bf43-02ed8d46cbc9
> InstallationMedia: Ubuntu-Server 11.10 "Oneiric Ocelot" - Release amd64
> (20111011)
> MachineType: HP ProLiant MicroServer
> PciMultimedia:
>
> ProcEnviron:
> LANGUAGE=en_AU:en
> TERM=screen-bce
> LANG=en_AU.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 radeondrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-26-generic
> root=/dev/mapper/hostname-root ro splash quiet hpet=enable vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.2.0-26-generic N/A
> linux-backports-modules-3.2.0-26-generic N/A
> linux-firmware 1.79
> RfKill: Error: [Errno 2] No such file or directory
> SourcePackage: linux
> UpgradeStatus: Upgraded to precise on 2012-04-26 (68 days ago)
> dmi.bios.date: 04/02/2011
> dmi.bios.vendor: HP
> dmi.bios.version: O41
> dmi.chassis.type: 7
> dmi.chassis.vendor: HP
> dmi.modalias:
> d...

Read more...

Id2ndR (id2ndr) wrote :

The support is done in saucy within short range from the access point (about 15 meters). There is a patch that allows to connect further and that may be committed latter.

Download full text (3.2 KiB)

that's wonderful.
在 2013-8-26 上午6:05,"Id2ndR" <email address hidden>写道:

> The support is done in saucy within short range from the access point
> (about 15 meters). There is a patch that allows to connect further and
> that may be committed latter.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1020650
>
> Title:
> Ralink module rt5572sta isn't included in linux-image-{generic,
> server}
>
> Status in “linux” package in Ubuntu:
> Triaged
>
> Bug description:
> The TP-Link dual-band USB wireless access device TL-WDN3200 uses the
> Ralink RT5572 USB module, which isn't included in the standard Ubuntu
> linux-image-generic or linux-image-server packages.
>
> http://www.tp-link.com/en/products/details/?model=TL-WDN3200
>
>
> edlang@lettuce:~$ lsusb | grep Ralink
> Bus 001 Device 003: ID 148f:5572 Ralink Technology, Corp.
>
> http://www.ralinktech.com/en/04_support/support.php?sn=501
>
> Could you please ensure it's included in future packages?
>
> The file .../os/linux/usb_main_dev.c in the driver package needs to be
> modified according to this post:
>
> http://www.linuxforums.org/forum/wireless-internet/161550-rt3070sta-
> module-license-unspecified-taints-kernel-solved.html
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.04
> Package: linux-image-generic 3.2.0.26.28
> ProcVersionSignature: Ubuntu 3.2.0-26.41-generic 3.2.19
> Uname: Linux 3.2.0-26-generic x86_64
> AlsaDevices:
> total 0
> crw-rw---T 1 root audio 116, 1 Jul 4 00:49 seq
> crw-rw---T 1 root audio 116, 33 Jul 4 00:49 timer
> AplayDevices: Error: [Errno 2] No such file or directory
> ApportVersion: 2.0.1-0ubuntu8
> Architecture: amd64
> ArecordDevices: Error: [Errno 2] No such file or directory
> AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq',
> '/dev/snd/timer'] failed with exit code 1:
> CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1:
> nl80211 not found.
> Date: Wed Jul 4 02:25:46 2012
> HibernationDevice: RESUME=UUID=c9be887f-13b6-498b-bf43-02ed8d46cbc9
> InstallationMedia: Ubuntu-Server 11.10 "Oneiric Ocelot" - Release amd64
> (20111011)
> MachineType: HP ProLiant MicroServer
> PciMultimedia:
>
> ProcEnviron:
> LANGUAGE=en_AU:en
> TERM=screen-bce
> LANG=en_AU.UTF-8
> SHELL=/bin/bash
> ProcFB: 0 radeondrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.2.0-26-generic
> root=/dev/mapper/hostname-root ro splash quiet hpet=enable vt.handoff=7
> RelatedPackageVersions:
> linux-restricted-modules-3.2.0-26-generic N/A
> linux-backports-modules-3.2.0-26-generic N/A
> linux-firmware 1.79
> RfKill: Error: [Errno 2] No such file or directory
> SourcePackage: linux
> UpgradeStatus: Upgraded to precise on 2012-04-26 (68 days ago)
> dmi.bios.date: 04/02/2011
> dmi.bios.vendor: HP
> dmi.bios.version: O41
> dmi.chassis.type: 7
> dmi.chassis.vendor: HP
> dmi.modalias:
> dmi:bvnHP:bvrO41:bd04/02/2011:svnHP:pnProLiantMicroServer:pvr:cvnHP:ct7:cvr:
> dmi.product.name: ProLiant MicroServer
> dmi.sys.vendor: HP
>
> To manage notifi...

Read more...

greg (xeon-greg) wrote :

rt5572 perfectly works under rt2800USB module on unbuntu 14.04 x64
just assign vid & pid to the driver and it wil work
echo " vid pid" > /sys/bus/usb/drivers/rt2800usb/new_id
then plug usb stick

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers